# $Revision: 1.22 $, $Date: 2012/04/30 10:48:35 $
# TODO:
# - own UID/GID
Summary:	RADIUS proxy that in addition to to usual RADIUS UDP transport, also supports TLS (RadSec)
Name:		radsecproxy
Version:	1.6
Release:	1
License:	GPLv2+ or BSD-like
Group:		Networking/Daemons/Radius
Source0:	http://software.uninett.no/radsecproxy/%{name}-%{version}.tar.gz
# Source0-md5:	8d17ba6b97feeaff8c4e4baf5aca256d
Source1:	%{name}.init
Source2:	%{name}.logrotate
Source3:	%{name}.upstart
Patch0:		%{name}-docbook2x.patch
URL:		http://software.uninett.no/radsecproxy/
# For manual creation:
BuildRequires:	docbook2X
BuildRequires:	nettle-devel
Requires:	openssl >= 1.0.0b
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
radsecproxy is a generic RADIUS proxy that in addition to to usual
RADIUS UDP transport, also supports TLS (RadSec). The aim is for the
proxy to have sufficient features to be flexible, while at the same
time to be small, efficient and easy to configure. Currently the
executable on Linux is only about 48 Kb, and it uses about 64 Kb
(depending on the number of peers) while running.

%package upstart
Summary:	Upstart job description for %{name}
Summary(pl.UTF-8):	Opis zadania Upstart dla %{name}
Group:		Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	upstart >= 0.6

%description upstart
Upstart job description for %{name}.

%description upstart -l pl.UTF-8
Opis zadania Upstart dla %{name}.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	--enable-fticks
# Some trash comes with tar:
%{__make} clean
%{__make}
# FIXME:
mv ______radsecproxy.conf\ ____.5 radsecproxy.conf.5

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/radsecproxy.conf.d \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig,logrotate.d,init}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p radsecproxy.conf-example $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}
cp -p %{SOURCE3} $RPM_BUILD_ROOT/etc/init/%{name}.conf

install -p radsecproxy.conf.5 $RPM_BUILD_ROOT/%{_mandir}/man5

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart "RADIUS secure proxy"

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%post upstart
%upstart_post %{name}

%postun upstart
%upstart_postun %{name}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(640,root,root) %config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/radsecproxy.conf
%attr(640,root,root) %config(noreplace,missingok) %verify(not md5 mtime size) /etc/logrotate.d/%{name}
%attr(750,root,root) %dir %{_sysconfdir}/radsecproxy.conf.d
%attr(755,root,root) %{_sbindir}/radsecproxy
%attr(755,root,root) %{_bindir}/radsecproxy-conf
%attr(755,root,root) %{_bindir}/radsecproxy-hash
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%{_mandir}/man1/*
%{_mandir}/man5/*

%files upstart
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/init/%{name}.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: radsecproxy.spec,v $
Revision 1.22  2012/04/30 10:48:35  blues
- cleanups

Revision 1.21  2012/04/30 10:38:48  blues
- 1.6 - remove applied patches (fticks, visinst), update docbook2x patch

Revision 1.20  2011/12/20 15:46:42  blues
- BR: nettle-devel (for fticks)

Revision 1.19  2011/12/20 15:16:33  blues
- rel.3 - fticksVISINST support

Revision 1.18  2011/12/20 12:42:26  blues
- comment about fticks patch

Revision 1.17  2011/12/20 12:41:50  blues
- rel.2 - works fine

Revision 1.16  2011/12/20 11:45:39  blues
- rel. 1.9 - fticks support. More manual fixes/workarounds

Revision 1.15  2011/12/20 11:27:18  blues
- create manual pages

Revision 1.14  2011/12/04 21:30:53  adwol
- up to 1.5

Revision 1.13  2011/09/25 10:40:55  glen
- update upstart deps

Revision 1.12  2010/11/24 11:32:15  blues
- 1.4.2 - fix crash from debug code; openssl is detected runtime

Revision 1.11  2010/11/19 12:40:37  blues
- 1.4.1 - BR openssl-devel >=1.0.0b (else openssl cache is disabled)

Revision 1.10  2010/06/28 14:42:04  blues
- rel.2 - upstart support

Revision 1.9  2010/06/16 14:51:07  blues
- rel.1

Revision 1.8  2010/06/16 14:20:46  blues
- 1.4

Revision 1.7  2009/06/17 11:33:20  blues
- add logrotate file

Revision 1.6  2009/05/18 10:17:52  blues
-rel.1 - added logformat patch, backported from 1.4

Revision 1.5  2009/04/29 14:05:09  blues
- 1.3

Revision 1.4  2008/10/24 13:36:28  blues
- init script and various fixes

Revision 1.3  2008/10/23 13:42:35  blues
- 1.2

Revision 1.2  2008/09/11 12:30:42  blues
- at least builds

Revision 1.1  2008/09/11 12:19:02  blues
- adapterized OpenSuse spec...

